Name: 		sniproxy
Version: 	0.6.1
Release: 	%mkrel 4
Summary: 	Transparent TLS proxy
Group: 		System/Servers
License: 	BSD
URL: 		https://github.com/dlundquist/sniproxy
Source0: 	https://github.com/dlundquist/sniproxy/archive/%{version}/%{name}-%{version}.tar.gz
Source1: 	sniproxy.conf
Source2: 	sniproxy.service
Source3: 	sniproxy.init
Source4:	sniproxy-tmpfiles.conf
Patch0:		ports-tests-0.4.0.patch
Patch1:		sniproxy_pcre2.patch
Patch2:		sniproxy-0.6.1-mga-skip-tests.patch

BuildRequires: autoconf
BuildRequires: automake
# for tests
BuildRequires: curl
BuildRequires: systemd
# for macro definition:
BuildRequires: pkgconfig(libsystemd)

BuildRequires: pkgconfig(libev)
BuildRequires: pkgconfig(libpcre2-8)
BuildRequires: perl
BuildRequires: udns-devel
# for lib-prefix.m4
BuildRequires: gettext-devel
# required for EL
BuildRequires: perl(Time::HiRes)

Requires(pre):    shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
SNIproxy proxies incoming HTTP and TLS connections based on the host name 
contained in the initial request. This enables HTTPS name based virtual 
hosting to separate back-end servers without the installing the private
key on the proxy machine. This program has been deprecated since 2023; other
progams should be used instead for new installations.

%prep
%autosetup -p1

%build
./autogen.sh
%configure --disable-dependency-tracking
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_tmpfilesdir}
install -p -m 644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%check
%make_build check LDFLAGS="$(pkg-config --libs libpcre2-8)"

%pre
getent group sniproxy &>/dev/null || groupadd -r sniproxy
getent passwd sniproxy &>/dev/null || \
    /usr/sbin/useradd -r -g sniproxy -s /sbin/nologin -c sniproxy \
    -d / sniproxy

%post
%_tmpfilescreate %{name}
%_post_service sniproxy

%preun
%_preun_service sniproxy

%postun
%_postun_service sniproxy
# fix empty %%postun:
true

%files
%doc README.md AUTHORS debian/changelog
%license COPYING
%config(noreplace) %{_sysconfdir}/sniproxy.conf
%{_sbindir}/sniproxy
%{_unitdir}/sniproxy.service
%{_mandir}/man5/sniproxy.conf.5.*
%{_mandir}/man8/sniproxy.8.*
%dir %ghost %attr(0755, sniproxy, sniproxy) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/sniproxy.pid
%{_tmpfilesdir}/%{name}.conf


%changelog
* Mon Apr 29 2024 danf <danf> 0.6.1-4.mga10
+ Revision: 2061672
- Enable most tests at build time
- disable two tests that are currently failing for unknown reasons

* Thu Aug 31 2023 daviddavid <daviddavid> 0.6.1-3.mga10
+ Revision: 1982085
- add upstream patch to switch to pcre2

* Sun Jun 11 2023 daviddavid <daviddavid> 0.6.1-2.mga9
+ Revision: 1961716
- convert to use our systemd service macros

* Sun Apr 16 2023 daviddavid <daviddavid> 0.6.1-1.mga9
+ Revision: 1953123
- new version: 0.6.1, fixes CVE-2023-25076 (mga#31879)

* Thu Mar 24 2022 umeabot <umeabot> 0.6.0-4.mga9
+ Revision: 1824282
- Mageia 9 Mass Rebuild

* Sat Aug 22 2020 joequant <joequant> 0.6.0-3.mga8
+ Revision: 1617863
- fix gcc10 build

* Fri Feb 21 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1547763
- Mageia 8 Mass Rebuild
+ daviddavid <daviddavid>
- replace deprecated %%configure2_5x

* Sun Feb 09 2020 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1488234
- new version: 0.6.0
- switch temporary dir from /var/run to /run/sniproxy
- make sure pid files and /run/sniproxy folder are removed when uninstalled
- package the tmpfiles conf file

* Thu Oct 04 2018 umeabot <umeabot> 0.4.0-5.mga7
+ Revision: 1317384
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Oct 16 2016 tv <tv> 0.4.0-3.mga6
+ Revision: 1061188
- "fix" empty %%postun
- BR systemd-devel for macro definition (mga#12027)

* Sat Mar 26 2016 dlucio <dlucio> 0.4.0-1.mga6
+ Revision: 995701
- more fixes
- group fixed
- configure to disable dependency tracking
- first mageia import
- imported package sniproxy

